- [HTTP request](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.aclPolicies/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.aclPolicies/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.aclPolicies/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.aclPolicies/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.aclPolicies/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.aclPolicies/delete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1beta/projects.locations.aclPolicies/delete#body.aspect_1)

Deletes a specific ACL policy. This action will delete the ACL policy and all the rules associated with it. An ACL policy cannot be deleted if it is attached to an instance.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west15 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-central2 us-east1 us-east4 us-east5 us-east7 us-south1 us-west1 us-west2 us-west3 us-west4 us-west8   
`DELETE https://memorystore.googleapis.com/v1beta/{name=projects/*/locations/*/aclPolicies/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Memorystore ACL policy resource name using the form: `projects/{project}/locations/{location}/aclPolicies/{aclPolicyId}` where `location` refers to a Google Cloud region. |

### Query parameters

| Parameters ||
|---|---|
| `requestId` | `string` Optional. Idempotent request UUID. |
| `etag` | `string` Optional. Etag of the ACL policy. If this is different from the server's etag, the request will fail with an ABORTED error. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/memorystore.read-write`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `memorystore.aclPolicies.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).